Bug 455152 - Review Request: visual-4.beta26-1.fc9.i386.rpm - Visual Modelling Library
Review Request: visual-4.beta26-1.fc9.i386.rpm - Visual Modelling Library
Status: CLOSED DUPLICATE of bug 537983
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-12 21:33 EDT by Brad Longo
Modified: 2009-11-16 21:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-13 15:51:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Longo 2008-07-12 21:33:07 EDT
Spec URL: http://www.box.net/shared/5d56kmj40w
SRPM URL: http://www.box.net/shared/4ohvrw7pc0
Description: VPython is a visual modelling library for python which can be used to model physics problems.
Comment 1 Brad Longo 2008-07-12 22:19:22 EDT
I almost forgot.  This is my first package and I am seeking a sponsor.
Comment 2 Casey Dahlin 2008-07-13 12:09:52 EDT
1. You don't need to buildrequires gcc.
2. The Summary doesn't summarize much, and the description isn't very
descriptive. For the description, see if there's a paragraph in the README that
will work.
3. Your first changelog entry mentions some changes to the source. These should
be in a patch file.
4. Source should be specified as a URL to upstream
Comment 3 Casey Dahlin 2008-07-13 13:06:58 EDT
5. Use macros for FHS paths
Comment 4 Brad Longo 2008-07-13 14:46:53 EDT
The changes are made.  Rpm and specfile can be found with the same links still.
Comment 5 Casey Dahlin 2008-07-13 15:10:07 EDT
1. Delete the commented out code
2. --prefix=/usr/ should be --prefix=%{_prefix}
3. Break description up into multiple lines. No line should be longer than 80
characters.
Comment 6 Brad Longo 2008-07-13 15:53:02 EDT
The package has is being reworked so I have cancelled the review request.  There
is a stable verion I will work on to get it functional in Fedora.
Comment 7 Thomas Spura 2009-11-16 21:42:22 EST

*** This bug has been marked as a duplicate of bug 537983 ***

Note You need to log in before you can comment on or make changes to this bug.